import { SearchUsersAction } from './../../../../ngrx/users/users.actions';
import { GetAllUsersAction } from '../../../../ngrx/users/users.actions';
import { Component } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-user-nav-bar',
  templateUrl: './user-nav-bar.component.html',
  styleUrls: ['./user-nav-bar.component.css']
})
export class UserNavBarComponent {

  constructor(private store: Store) { }

   onUserCreate(): any{}

  onUsersGetAll(): any{

    this.store.dispatch(new GetAllUsersAction({}))
  }
  onGetUsersVsProjects(): any{}

  onSearch(searchForm:any){

    this.store.dispatch(new SearchUsersAction(searchForm.keyword))
  }
}
